Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxLineResult

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxLineResultImpl

Deprecated

    @Deprecated
    public interface TaxLineResult

extends Belonging

A result returned from the tax program, the entityCode is a jurisdiction code of the taxing entity. Attribute: tax

- Containment: By Value
- Multiplicity: 1:1

Attribute: entityCode The Geographical code for the taxing entity.

- Containment: By Value
- Multiplicity: 1:1

See Also
  `TaxLineResultHome`, `TaxLineResultImpl`

Method Summary
`String` | `getEntityCode()` Deprecated Get the value of entityCode
`Price` | `getTax()` Deprecated Get the value of tax
`void` | `setEntityCode(String entityCode)` Deprecated Set the value of entityCode
`void` | `setTax(Price tax)` Deprecated Set the value of tax

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTax

    Price getTax()

  Deprecated
  Get the value of tax

  Returns
    tax.

### setTax

    void setTax(Price tax)

  Deprecated
  Set the value of tax

  Parameters
    `tax` - tax to be added

### getEntityCode

    String getEntityCode()

  Deprecated
  Get the value of entityCode

  Returns
    entityCode.

### setEntityCode

    void setEntityCode(String entityCode)

  Deprecated
  Set the value of entityCode

  Parameters
    `entityCode` - entityCode to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.